{"items":[{"type":"link","label":"Management API","link":"/api-reference/management","routeSlug":"/api-reference/management","content":{"contentType":"overview","meta":{"name":"Management API"},"children":[{"nodeType":"container","panels":[{"title":"Download OpenAPI description","titleTranslationKey":"download.description.title","children":[{"kind":"download","label":"management.json","url":"/_bundle/api-reference/management.json?download"},{"kind":"download","label":"management.yaml","url":"/_bundle/api-reference/management.yaml?download"}]},{"title":"Overview","titleTranslationKey":"info.title","children":[]},{"title":"Languages","titleTranslationKey":"languages.title","children":[{"kind":"languages","options":[{"key":"curl","title":"curl","lang":"curl"}]}]},{"title":"Servers","titleTranslationKey":"servers.title","children":[{"kind":"servers","servers":[{"url":"https://api.synqly.com","description":"Synqly"}],"mode":"default"}]}],"children":[{"nodeType":"overview-section-wrapper","children":[{"nodeType":"header","level":1,"label":"Management API","showPageActions":true},{"nodeType":"overview-section-wrapper","children":[{"nodeType":"markdoc","content":[{"$$mdtype":"Node","attributes":{},"children":[{"$$mdtype":"Node","inline":true,"attributes":{"content":"The Synqly Management APIs enable you to manage the resources within your Synqly organization, such as setting up Accounts for your customers and creating Integrations to connect your product to the different service Providers supported by Synqly."},"children":[],"type":"text"}],"type":"paragraph"},{"$$mdtype":"Node","attributes":{},"children":[{"$$mdtype":"Node","inline":true,"attributes":{"content":"For more information see the "},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{"href":"/guides/getting-started/overview"},"children":[{"$$mdtype":"Node","inline":true,"attributes":{"content":"Synqly Overview"},"children":[],"type":"text"}],"type":"link"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"."},"children":[],"type":"text"}],"type":"paragraph"}]}],"sectionId":"/"}],"sectionId":"/"}]}]}},{"type":"group","label":"Accounts","link":"/api-reference/management/accounts","routeSlug":"/api-reference/management/accounts","items":[{"label":"List Accounts","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/api-reference/management/accounts/accounts_list","routeSlug":"/api-reference/management/accounts/accounts_list","metadata":{"seo":{"title":"List Accounts","description":"Returns a list of all Account objects. For more information onOrganizations and Accounts, refer to ourSynqly Overview."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"accounts_list","name":"List Accounts","isWebhook":false,"pointer":"/paths/~1v1~1accounts/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"List Accounts","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","attributes":{},"children":[{"$$mdtype":"Node","inline":true,"attributes":{"content":"Returns a list of all "},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"Account"},"children":[],"type":"code"},{"$$mdtype":"Node","inline":true,"attributes":{"content":" objects. For more information on"},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{},"children":[],"type":"softbreak"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"Organizations and Accounts, refer to our"},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{},"children":[],"type":"softbreak"},{"$$mdtype":"Node","inline":true,"attributes":{"href":"https://docs.synqly.com/docs/synqly-overview"},"children":[{"$$mdtype":"Node","inline":true,"attributes":{"content":"Synqly Overview"},"children":[],"type":"text"}],"type":"link"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"."},"children":[],"type":"text"}],"type":"paragraph"},{"$$mdtype":"Node","attributes":{},"children":[{"$$mdtype":"Node","inline":true,"attributes":{"marker":"**"},"children":[{"$$mdtype":"Node","inline":true,"attributes":{"content":"Operation ID:"},"children":[],"type":"text"}],"type":"strong"},{"$$mdtype":"Node","inline":true,"attributes":{"content":" "},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"accounts_list"},"children":[],"type":"code"}],"type":"paragraph"}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"BearerAuth","scopes":[],"type":"http","scheme":"bearer"}]}]},{"nodeType":"item-content","variant":"query","label":"Query","labelTranslationKey":"query","parameters":[{"name":"limit","in":"query","schemaId":"schema_0","description":[{"$$mdtype":"Node","attributes":{},"children":[{"$$mdtype":"Node","inline":true,"attributes":{"content":"Number of "},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"Account"},"children":[],"type":"code"},{"$$mdtype":"Node","inline":true,"attributes":{"content":" objects to return in this page. Defaults to 100."},"children":[],"type":"text"}],"type":"paragraph"}]},{"name":"start_after","in":"query","schemaId":"schema_1","description":[{"$$mdtype":"Node","attributes":{},"children":[{"$$mdtype":"Node","inline":true,"attributes":{"content":"Return "},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"Account"},"children":[],"type":"code"},{"$$mdtype":"Node","inline":true,"attributes":{"content":" objects starting after this "},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"name"},"children":[],"type":"code"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"."},"children":[],"type":"text"}],"type":"paragraph"}]},{"name":"order","in":"query","schemaId":"schema_2","description":[{"$$mdtype":"Node","attributes":{},"children":[{"$$mdtype":"Node","inline":true,"attributes":{"content":"Select a field to order the results by. Defaults to "},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"name"},"children":[],"type":"code"},{"$$mdtype":"Node","inline":true,"attributes":{"content":". To control the direction of the sorting, append"},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{},"children":[],"type":"softbreak"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"[asc]"},"children":[],"type":"code"},{"$$mdtype":"Node","inline":true,"attributes":{"content":" or "},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"[desc]"},"children":[],"type":"code"},{"$$mdtype":"Node","inline":true,"attributes":{"content":" to the field name. For example, "},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"name[desc]"},"children":[],"type":"code"},{"$$mdtype":"Node","inline":true,"attributes":{"content":" will sort the results by "},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"name"},"children":[],"type":"code"},{"$$mdtype":"Node","inline":true,"attributes":{"content":" in descending order."},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{},"children":[],"type":"softbreak"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"The ordering defaults to "},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"asc"},"children":[],"type":"code"},{"$$mdtype":"Node","inline":true,"attributes":{"content":" if not specified. May be used multiple times to order by multiple fields, and the"},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{},"children":[],"type":"softbreak"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"ordering is applied in the order the fields are specified."},"children":[],"type":"text"}],"type":"paragraph"}]},{"name":"filter","in":"query","schemaId":"schema_2","description":[{"$$mdtype":"Node","attributes":{},"children":[{"$$mdtype":"Node","inline":true,"attributes":{"content":"Filter results by this query. For more information on filtering, refer to our "},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{"href":"https://docs.synqly.com/guides/getting-started/management-api-filtering"},"children":[{"$$mdtype":"Node","inline":true,"attributes":{"content":"Filtering Guide"},"children":[],"type":"text"}],"type":"link"},{"$$mdtype":"Node","inline":true,"attributes":{"content":". Defaults to no filter."},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{},"children":[],"type":"softbreak"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"If used more than once, the queries are ANDed together."},"children":[],"type":"text"}],"type":"paragraph"}]},{"name":"total","in":"query","schemaId":"schema_3","description":"Return total number of accounts in the system, respecting all applied filters. This is expensive, use sparingly."}],"pointer":"/paths/~1v1~1accounts/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/v1/accounts","servers":[{"url":"https://api.synqly.com","description":"Synqly"}],"parameters":{"path":[],"query":[{"name":"limit","in":"query","required":false,"schemaId":"schema_0"},{"name":"start_after","in":"query","required":false,"schemaId":"schema_1"},{"name":"order","in":"query","required":false,"schemaId":"schema_2"},{"name":"filter","in":"query","required":false,"schemaId":"schema_2"},{"name":"total","in":"query","required":false,"schemaId":"schema_3"}],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"BearerAuth","type":"http","scheme":"bearer"}],"scopes":[]}],"responseCodes":["200","400","401","402","403","404","405","409","415","429","500"],"pointer":"/v1/accounts","href":"accounts/accounts_list","openApiOperationId":"accounts_list","summary":"List Accounts"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.synqly.com","description":"Synqly"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ListAccountsResponse"}},"schemaId":"components/schemas/ListAccountsResponse"},{"code":"400","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"401","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"402","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"403","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"404","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"405","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"409","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"415","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"429","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"500","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"}],"pointer":"/paths/~1v1~1accounts/get/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"components/schemas/ListAccountsResponse","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ListAccountsResponse"}}},{"code":"400","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"401","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"402","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"403","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"404","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"405","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"409","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"415","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"429","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"500","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/accounts/accounts_list"}],"panels":[]}]},"httpPath":"/v1/accounts"},{"label":"Create Account","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/api-reference/management/accounts/accounts_create","routeSlug":"/api-reference/management/accounts/accounts_create","metadata":{"seo":{"title":"Create Account","description":"Creates an Account object. For more information on Organizations andAccounts, refer to ourSynqly Overview."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"accounts_create","name":"Create Account","isWebhook":false,"pointer":"/paths/~1v1~1accounts/post","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Create Account","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","attributes":{},"children":[{"$$mdtype":"Node","inline":true,"attributes":{"content":"Creates an "},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"Account"},"children":[],"type":"code"},{"$$mdtype":"Node","inline":true,"attributes":{"content":" object. For more information on Organizations and"},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{},"children":[],"type":"softbreak"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"Accounts, refer to our"},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{},"children":[],"type":"softbreak"},{"$$mdtype":"Node","inline":true,"attributes":{"href":"https://docs.synqly.com/docs/synqly-overview"},"children":[{"$$mdtype":"Node","inline":true,"attributes":{"content":"Synqly Overview"},"children":[],"type":"text"}],"type":"link"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"."},"children":[],"type":"text"}],"type":"paragraph"},{"$$mdtype":"Node","attributes":{},"children":[{"$$mdtype":"Node","inline":true,"attributes":{"content":"If the request carries a "},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"token"},"children":[],"type":"code"},{"$$mdtype":"Node","inline":true,"attributes":{"content":" block, a token scoped to the new "},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"Account"},"children":[],"type":"code"},{"$$mdtype":"Node","inline":true,"attributes":{"content":" is"},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{},"children":[],"type":"softbreak"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"created in the same transaction and returned in "},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"result.token"},"children":[],"type":"code"},{"$$mdtype":"Node","inline":true,"attributes":{"content":". The token secret"},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{},"children":[],"type":"softbreak"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"is returned exactly once and cannot be retrieved again; if the response is lost,"},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{},"children":[],"type":"softbreak"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"an organization administrator must issue a replacement token with"},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{},"children":[],"type":"softbreak"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"POST /v1/tokens"},"children":[],"type":"code"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"."},"children":[],"type":"text"}],"type":"paragraph"},{"$$mdtype":"Node","attributes":{},"children":[{"$$mdtype":"Node","inline":true,"attributes":{"marker":"**"},"children":[{"$$mdtype":"Node","inline":true,"attributes":{"content":"Operation ID:"},"children":[],"type":"text"}],"type":"strong"},{"$$mdtype":"Node","inline":true,"attributes":{"content":" "},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"accounts_create"},"children":[],"type":"code"}],"type":"paragraph"}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"BearerAuth","scopes":[],"type":"http","scheme":"bearer"}]}]},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/CreateAccountRequest"}},"schemaId":"components/schemas/CreateAccountRequest","pointer":"/paths/~1v1~1accounts/post/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"POST","path":"/v1/accounts","servers":[{"url":"https://api.synqly.com","description":"Synqly"}],"parameters":{"path":[],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"BearerAuth","type":"http","scheme":"bearer"}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/CreateAccountRequest"}},"responseCodes":["200","400","401","402","403","404","405","409","415","429","500"],"pointer":"/v1/accounts","href":"accounts/accounts_create","openApiOperationId":"accounts_create","summary":"Create Account"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.synqly.com","description":"Synqly"}],"schemaId":"components/schemas/CreateAccountRequest","mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/CreateAccountRequest"}},"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/CreateAccountResponse"}},"schemaId":"components/schemas/CreateAccountResponse"},{"code":"400","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"401","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"402","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"403","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"404","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"405","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"409","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"415","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"429","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"500","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"}],"pointer":"/paths/~1v1~1accounts/post/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"components/schemas/CreateAccountResponse","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/CreateAccountResponse"}}},{"code":"400","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"401","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"402","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"403","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"404","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"405","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"409","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"415","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"429","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"500","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/accounts/accounts_create"}],"panels":[]}]},"httpPath":"/v1/accounts"},{"label":"Get Account","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/api-reference/management/accounts/accounts_get","routeSlug":"/api-reference/management/accounts/accounts_get","metadata":{"seo":{"title":"Get Account","description":"Returns the Account object matching {accountId}. For more information onOrganizations and Accounts, refer to ourSynqly Overview."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"accounts_get","name":"Get Account","isWebhook":false,"pointer":"/paths/~1v1~1accounts~1{accountId}/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Get Account","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","attributes":{},"children":[{"$$mdtype":"Node","inline":true,"attributes":{"content":"Returns the "},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"Account"},"children":[],"type":"code"},{"$$mdtype":"Node","inline":true,"attributes":{"content":" object matching "},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"{accountId}"},"children":[],"type":"code"},{"$$mdtype":"Node","inline":true,"attributes":{"content":". For more information on"},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{},"children":[],"type":"softbreak"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"Organizations and Accounts, refer to our"},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{},"children":[],"type":"softbreak"},{"$$mdtype":"Node","inline":true,"attributes":{"href":"https://docs.synqly.com/docs/synqly-overview"},"children":[{"$$mdtype":"Node","inline":true,"attributes":{"content":"Synqly Overview"},"children":[],"type":"text"}],"type":"link"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"."},"children":[],"type":"text"}],"type":"paragraph"},{"$$mdtype":"Node","attributes":{},"children":[{"$$mdtype":"Node","inline":true,"attributes":{"marker":"**"},"children":[{"$$mdtype":"Node","inline":true,"attributes":{"content":"Operation ID:"},"children":[],"type":"text"}],"type":"strong"},{"$$mdtype":"Node","inline":true,"attributes":{"content":" "},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"accounts_get"},"children":[],"type":"code"}],"type":"paragraph"}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"BearerAuth","scopes":[],"type":"http","scheme":"bearer"}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"accountId","in":"path","schemaId":"schema_4","required":true}],"pointer":"/paths/~1v1~1accounts~1{accountId}/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/v1/accounts/{accountId}","servers":[{"url":"https://api.synqly.com","description":"Synqly"}],"parameters":{"path":[{"name":"accountId","in":"path","required":true,"schemaId":"schema_5"}],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"BearerAuth","type":"http","scheme":"bearer"}],"scopes":[]}],"responseCodes":["200","400","401","402","403","404","405","409","415","429","500"],"pointer":"/v1/accounts/{accountId}","href":"accounts/accounts_get","openApiOperationId":"accounts_get","summary":"Get Account"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.synqly.com","description":"Synqly"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/GetAccountResponse"}},"schemaId":"components/schemas/GetAccountResponse"},{"code":"400","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"401","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"402","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"403","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"404","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"405","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"409","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"415","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"429","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"500","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"}],"pointer":"/paths/~1v1~1accounts~1{accountId}/get/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"components/schemas/GetAccountResponse","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/GetAccountResponse"}}},{"code":"400","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"401","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"402","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"403","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"404","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"405","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"409","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"415","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"429","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"500","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/accounts/accounts_get"}],"panels":[]}]},"httpPath":"/v1/accounts/{accountId}"},{"label":"Update Account","deprecated":false,"httpVerb":"put","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/api-reference/management/accounts/accounts_update","routeSlug":"/api-reference/management/accounts/accounts_update","metadata":{"seo":{"title":"Update Account","description":"Updates the Account object matching {accountId}. For more information onOrganizations and Accounts, refer to ourSynqly Overview."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"accounts_update","name":"Update Account","isWebhook":false,"pointer":"/paths/~1v1~1accounts~1{accountId}/put","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Update Account","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","attributes":{},"children":[{"$$mdtype":"Node","inline":true,"attributes":{"content":"Updates the "},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"Account"},"children":[],"type":"code"},{"$$mdtype":"Node","inline":true,"attributes":{"content":" object matching "},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"{accountId}"},"children":[],"type":"code"},{"$$mdtype":"Node","inline":true,"attributes":{"content":". For more information on"},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{},"children":[],"type":"softbreak"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"Organizations and Accounts, refer to our"},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{},"children":[],"type":"softbreak"},{"$$mdtype":"Node","inline":true,"attributes":{"href":"https://docs.synqly.com/docs/synqly-overview"},"children":[{"$$mdtype":"Node","inline":true,"attributes":{"content":"Synqly Overview"},"children":[],"type":"text"}],"type":"link"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"."},"children":[],"type":"text"}],"type":"paragraph"},{"$$mdtype":"Node","attributes":{},"children":[{"$$mdtype":"Node","inline":true,"attributes":{"marker":"**"},"children":[{"$$mdtype":"Node","inline":true,"attributes":{"content":"Operation ID:"},"children":[],"type":"text"}],"type":"strong"},{"$$mdtype":"Node","inline":true,"attributes":{"content":" "},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"accounts_update"},"children":[],"type":"code"}],"type":"paragraph"}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"BearerAuth","scopes":[],"type":"http","scheme":"bearer"}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"accountId","in":"path","schemaId":"schema_4","required":true}],"pointer":"/paths/~1v1~1accounts~1{accountId}/put/parameters"},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"schema_6"}},"schemaId":"schema_6","pointer":"/paths/~1v1~1accounts~1{accountId}/put/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"PUT","path":"/v1/accounts/{accountId}","servers":[{"url":"https://api.synqly.com","description":"Synqly"}],"parameters":{"path":[{"name":"accountId","in":"path","required":true,"schemaId":"schema_5"}],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"BearerAuth","type":"http","scheme":"bearer"}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"schema_6"}},"responseCodes":["200","400","401","402","403","404","405","409","415","429","500"],"pointer":"/v1/accounts/{accountId}","href":"accounts/accounts_update","openApiOperationId":"accounts_update","summary":"Update Account"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.synqly.com","description":"Synqly"}],"schemaId":"schema_6","mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"schema_6"}},"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/UpdateAccountResponse"}},"schemaId":"components/schemas/UpdateAccountResponse"},{"code":"400","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"401","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"402","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"403","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"404","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"405","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"409","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"415","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"429","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"500","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"}],"pointer":"/paths/~1v1~1accounts~1{accountId}/put/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"components/schemas/UpdateAccountResponse","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/UpdateAccountResponse"}}},{"code":"400","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"401","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"402","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"403","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"404","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"405","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"409","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"415","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"429","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"500","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/accounts/accounts_update"}],"panels":[]}]},"httpPath":"/v1/accounts/{accountId}"},{"label":"Patch Account","deprecated":false,"httpVerb":"patch","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/api-reference/management/accounts/accounts_patch","routeSlug":"/api-reference/management/accounts/accounts_patch","metadata":{"seo":{"title":"Patch Account","description":"Patches the Account object matching {accountId}. For more information onOrganizations and Accounts, refer to ourSynqly Overview."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"accounts_patch","name":"Patch Account","isWebhook":false,"pointer":"/paths/~1v1~1accounts~1{accountId}/patch","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Patch Account","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","attributes":{},"children":[{"$$mdtype":"Node","inline":true,"attributes":{"content":"Patches the "},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"Account"},"children":[],"type":"code"},{"$$mdtype":"Node","inline":true,"attributes":{"content":" object matching "},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"{accountId}"},"children":[],"type":"code"},{"$$mdtype":"Node","inline":true,"attributes":{"content":". For more information on"},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{},"children":[],"type":"softbreak"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"Organizations and Accounts, refer to our"},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{},"children":[],"type":"softbreak"},{"$$mdtype":"Node","inline":true,"attributes":{"href":"https://docs.synqly.com/docs/synqly-overview"},"children":[{"$$mdtype":"Node","inline":true,"attributes":{"content":"Synqly Overview"},"children":[],"type":"text"}],"type":"link"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"."},"children":[],"type":"text"}],"type":"paragraph"},{"$$mdtype":"Node","attributes":{},"children":[{"$$mdtype":"Node","inline":true,"attributes":{"marker":"**"},"children":[{"$$mdtype":"Node","inline":true,"attributes":{"content":"Operation ID:"},"children":[],"type":"text"}],"type":"strong"},{"$$mdtype":"Node","inline":true,"attributes":{"content":" "},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"accounts_patch"},"children":[],"type":"code"}],"type":"paragraph"}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"BearerAuth","scopes":[],"type":"http","scheme":"bearer"}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"accountId","in":"path","schemaId":"schema_4","required":true}],"pointer":"/paths/~1v1~1accounts~1{accountId}/patch/parameters"},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"schema_7"}},"schemaId":"schema_7","pointer":"/paths/~1v1~1accounts~1{accountId}/patch/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"PATCH","path":"/v1/accounts/{accountId}","servers":[{"url":"https://api.synqly.com","description":"Synqly"}],"parameters":{"path":[{"name":"accountId","in":"path","required":true,"schemaId":"schema_5"}],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"BearerAuth","type":"http","scheme":"bearer"}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"schema_7"}},"responseCodes":["200","400","401","402","403","404","405","409","415","429","500"],"pointer":"/v1/accounts/{accountId}","href":"accounts/accounts_patch","openApiOperationId":"accounts_patch","summary":"Patch Account"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.synqly.com","description":"Synqly"}],"schemaId":"schema_7","mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"schema_7"}},"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/PatchAccountResponse"}},"schemaId":"components/schemas/PatchAccountResponse"},{"code":"400","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"401","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"402","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"403","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"404","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"405","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"409","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"415","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"429","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"500","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"}],"pointer":"/paths/~1v1~1accounts~1{accountId}/patch/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"components/schemas/PatchAccountResponse","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/PatchAccountResponse"}}},{"code":"400","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"401","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"402","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"403","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"404","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"405","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"409","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"415","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"429","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"500","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/accounts/accounts_patch"}],"panels":[]}]},"httpPath":"/v1/accounts/{accountId}"},{"label":"Delete Account","deprecated":false,"httpVerb":"delete","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/api-reference/management/accounts/accounts_delete","routeSlug":"/api-reference/management/accounts/accounts_delete","metadata":{"seo":{"title":"Delete Account","description":"Deletes the Account matching {accountId}. Deleting an Account also deletesits Integrations and Credentials. Tokens scoped to the Account are notrevoked; they remain listed under GET /v1/tokens and should be deleted by anorganization administrator."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"accounts_delete","name":"Delete Account","isWebhook":false,"pointer":"/paths/~1v1~1accounts~1{accountId}/delete","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Delete Account","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","attributes":{},"children":[{"$$mdtype":"Node","inline":true,"attributes":{"content":"Deletes the "},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"Account"},"children":[],"type":"code"},{"$$mdtype":"Node","inline":true,"attributes":{"content":" matching "},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"{accountId}"},"children":[],"type":"code"},{"$$mdtype":"Node","inline":true,"attributes":{"content":". Deleting an "},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"Account"},"children":[],"type":"code"},{"$$mdtype":"Node","inline":true,"attributes":{"content":" also deletes"},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{},"children":[],"type":"softbreak"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"its "},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"Integrations"},"children":[],"type":"code"},{"$$mdtype":"Node","inline":true,"attributes":{"content":" and "},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"Credentials"},"children":[],"type":"code"},{"$$mdtype":"Node","inline":true,"attributes":{"content":". "},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"Tokens"},"children":[],"type":"code"},{"$$mdtype":"Node","inline":true,"attributes":{"content":" scoped to the "},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"Account"},"children":[],"type":"code"},{"$$mdtype":"Node","inline":true,"attributes":{"content":" are not"},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{},"children":[],"type":"softbreak"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"revoked; they remain listed under "},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"GET /v1/tokens"},"children":[],"type":"code"},{"$$mdtype":"Node","inline":true,"attributes":{"content":" and should be deleted by an"},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{},"children":[],"type":"softbreak"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"organization administrator."},"children":[],"type":"text"}],"type":"paragraph"},{"$$mdtype":"Node","attributes":{},"children":[{"$$mdtype":"Node","inline":true,"attributes":{"marker":"**"},"children":[{"$$mdtype":"Node","inline":true,"attributes":{"content":"Operation ID:"},"children":[],"type":"text"}],"type":"strong"},{"$$mdtype":"Node","inline":true,"attributes":{"content":" "},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"accounts_delete"},"children":[],"type":"code"}],"type":"paragraph"}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"BearerAuth","scopes":[],"type":"http","scheme":"bearer"}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"accountId","in":"path","schemaId":"schema_4","required":true}],"pointer":"/paths/~1v1~1accounts~1{accountId}/delete/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"DELETE","path":"/v1/accounts/{accountId}","servers":[{"url":"https://api.synqly.com","description":"Synqly"}],"parameters":{"path":[{"name":"accountId","in":"path","required":true,"schemaId":"schema_5"}],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"BearerAuth","type":"http","scheme":"bearer"}],"scopes":[]}],"responseCodes":["204","400","401","402","403","404","405","409","415","429","500"],"pointer":"/v1/accounts/{accountId}","href":"accounts/accounts_delete","openApiOperationId":"accounts_delete","summary":"Delete Account"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.synqly.com","description":"Synqly"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"204"},{"code":"400","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"401","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"402","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"403","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"404","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"405","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"409","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"415","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"429","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"500","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"}],"pointer":"/paths/~1v1~1accounts~1{accountId}/delete/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"204"},{"code":"400","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"401","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"402","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"403","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"404","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"405","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"409","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"415","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"429","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"500","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/accounts/accounts_delete"}],"panels":[]}]},"httpPath":"/v1/accounts/{accountId}"}],"content":{"contentType":"group","meta":{"name":"Accounts"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Accounts","showPageActions":true},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","attributes":{},"children":[{"$$mdtype":"Node","inline":true,"attributes":{"content":"Accounts under your Organization are used to manage Integrations, Credentials, and other account specific resources. Accounts are secure containers and may be used to represent tenants in your system. Data is never shared across accounts."},"children":[],"type":"text"}],"type":"paragraph"},{"$$mdtype":"Node","attributes":{},"children":[{"$$mdtype":"Node","inline":true,"attributes":{"content":"For more information on Accounts, see the "},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{"href":"/guides/getting-started/overview"},"children":[{"$$mdtype":"Node","inline":true,"attributes":{"content":"Synqly Overview"},"children":[],"type":"text"}],"type":"link"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"."},"children":[],"type":"text"}],"type":"paragraph"}]}],"panels":[{"children":[{"kind":"group-items","title":"Operations","titleTranslationKey":"operations","items":[{"title":"/v1/accounts","summary":"List Accounts","prefix":{"name":"get","color":"get"},"badges":[],"link":"/accounts/accounts_list","deprecated":false},{"title":"/v1/accounts","summary":"Create Account","prefix":{"name":"post","color":"post"},"badges":[],"link":"/accounts/accounts_create","deprecated":false},{"title":"/v1/accounts/{accountId}","summary":"Get Account","prefix":{"name":"get","color":"get"},"badges":[],"link":"/accounts/accounts_get","deprecated":false},{"title":"/v1/accounts/{accountId}","summary":"Update Account","prefix":{"name":"put","color":"put"},"badges":[],"link":"/accounts/accounts_update","deprecated":false},{"title":"/v1/accounts/{accountId}","summary":"Patch Account","prefix":{"name":"patch","color":"patch"},"badges":[],"link":"/accounts/accounts_patch","deprecated":false},{"title":"/v1/accounts/{accountId}","summary":"Delete Account","prefix":{"name":"delete","color":"delete"},"badges":[],"link":"/accounts/accounts_delete","deprecated":false}]}]}]}]}},{"type":"group","label":"Audit","link":"/api-reference/management/audit","routeSlug":"/api-reference/management/audit","items":[{"label":"List Audit Events","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/api-reference/management/audit/audit_list","routeSlug":"/api-reference/management/audit/audit_list","metadata":{"seo":{"title":"List Audit Events","description":"Returns a list of all Synqly Audit events for the Organization."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"audit_list","name":"List Audit Events","isWebhook":false,"pointer":"/paths/~1v1~1audit~1organizations/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"List Audit Events","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","attributes":{},"children":[{"$$mdtype":"Node","inline":true,"attributes":{"content":"Returns a list of all Synqly "},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"Audit"},"children":[],"type":"code"},{"$$mdtype":"Node","inline":true,"attributes":{"content":" events for the "},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"Organization"},"children":[],"type":"code"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"."},"children":[],"type":"text"}],"type":"paragraph"},{"$$mdtype":"Node","attributes":{},"children":[{"$$mdtype":"Node","inline":true,"attributes":{"marker":"**"},"children":[{"$$mdtype":"Node","inline":true,"attributes":{"content":"Operation ID:"},"children":[],"type":"text"}],"type":"strong"},{"$$mdtype":"Node","inline":true,"attributes":{"content":" "},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"audit_list"},"children":[],"type":"code"}],"type":"paragraph"}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"BearerAuth","scopes":[],"type":"http","scheme":"bearer"}]}]},{"nodeType":"item-content","variant":"query","label":"Query","labelTranslationKey":"query","parameters":[{"name":"limit","in":"query","schemaId":"schema_0","description":[{"$$mdtype":"Node","attributes":{},"children":[{"$$mdtype":"Node","inline":true,"attributes":{"content":"Number of "},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"Audit"},"children":[],"type":"code"},{"$$mdtype":"Node","inline":true,"attributes":{"content":" objects to return in this page. Defaults to 100."},"children":[],"type":"text"}],"type":"paragraph"}]},{"name":"start_after","in":"query","schemaId":"schema_1","description":[{"$$mdtype":"Node","attributes":{},"children":[{"$$mdtype":"Node","inline":true,"attributes":{"content":"Return "},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"Audit"},"children":[],"type":"code"},{"$$mdtype":"Node","inline":true,"attributes":{"content":" objects starting after this "},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"created_at"},"children":[],"type":"code"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"."},"children":[],"type":"text"}],"type":"paragraph"}]},{"name":"order","in":"query","schemaId":"schema_1","description":[{"$$mdtype":"Node","attributes":{},"children":[{"$$mdtype":"Node","inline":true,"attributes":{"content":"The order defaults to created_at[asc] and can changed to descending order by specifying created_at[desc]."},"children":[],"type":"text"}],"type":"paragraph"}]},{"name":"filter","in":"query","schemaId":"schema_2","description":[{"$$mdtype":"Node","attributes":{},"children":[{"$$mdtype":"Node","inline":true,"attributes":{"content":"Filter results by this query. For more information on filtering, refer to our "},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{"href":"https://docs.synqly.com/guides/getting-started/management-api-filtering"},"children":[{"$$mdtype":"Node","inline":true,"attributes":{"content":"Filtering Guide"},"children":[],"type":"text"}],"type":"link"},{"$$mdtype":"Node","inline":true,"attributes":{"content":". Defaults to no filter."},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{},"children":[],"type":"softbreak"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"If used more than once, the queries are ANDed together."},"children":[],"type":"text"}],"type":"paragraph"}]}],"pointer":"/paths/~1v1~1audit~1organizations/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/v1/audit/organizations","servers":[{"url":"https://api.synqly.com","description":"Synqly"}],"parameters":{"path":[],"query":[{"name":"limit","in":"query","required":false,"schemaId":"schema_0"},{"name":"start_after","in":"query","required":false,"schemaId":"schema_1"},{"name":"order","in":"query","required":false,"schemaId":"schema_1"},{"name":"filter","in":"query","required":false,"schemaId":"schema_2"}],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"BearerAuth","type":"http","scheme":"bearer"}],"scopes":[]}],"responseCodes":["200","400","401","402","403","404","405","409","415","429","500"],"pointer":"/v1/audit/organizations","href":"audit/audit_list","openApiOperationId":"audit_list","summary":"List Audit Events"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.synqly.com","description":"Synqly"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ListAuditEventsResponse"}},"schemaId":"components/schemas/ListAuditEventsResponse"},{"code":"400","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"401","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"402","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"403","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"404","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"405","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"409","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"415","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"429","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"500","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"}],"pointer":"/paths/~1v1~1audit~1organizations/get/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"components/schemas/ListAuditEventsResponse","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ListAuditEventsResponse"}}},{"code":"400","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"401","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"402","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"403","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"404","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"405","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"409","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"415","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"429","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"500","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/audit/audit_list"}],"panels":[]}]},"httpPath":"/v1/audit/organizations"}],"content":{"contentType":"group","meta":{"name":"Audit"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Audit","showPageActions":true}],"panels":[{"children":[{"kind":"group-items","title":"Operations","titleTranslationKey":"operations","items":[{"title":"/v1/audit/organizations","summary":"List Audit Events","prefix":{"name":"get","color":"get"},"badges":[],"link":"/audit/audit_list","deprecated":false}]}]}]}]}},{"type":"group","label":"Auth","link":"/api-reference/management/auth","routeSlug":"/api-reference/management/auth","items":[{"label":"Logon Organization","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/api-reference/management/auth/auth_logon","routeSlug":"/api-reference/management/auth/auth_logon","metadata":{"seo":{"title":"Logon Organization","description":"Initiates a new session for the given member in specified Synqly organization."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"auth_logon","name":"Logon Organization","isWebhook":false,"pointer":"/paths/~1v1~1auth~1logon~1{organizationId}/post","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Logon Organization","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","attributes":{},"children":[{"$$mdtype":"Node","inline":true,"attributes":{"content":"Initiates a new session for the given member in specified Synqly organization."},"children":[],"type":"text"}],"type":"paragraph"},{"$$mdtype":"Node","attributes":{},"children":[{"$$mdtype":"Node","inline":true,"attributes":{"marker":"**"},"children":[{"$$mdtype":"Node","inline":true,"attributes":{"content":"Operation ID:"},"children":[],"type":"text"}],"type":"strong"},{"$$mdtype":"Node","inline":true,"attributes":{"content":" "},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"auth_logon"},"children":[],"type":"code"}],"type":"paragraph"}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"BearerAuth","scopes":[],"type":"http","scheme":"bearer"}]}]},{"nodeType":"item-content","variant":"path","label":"Path","labelTranslationKey":"path","parameters":[{"name":"organizationId","in":"path","schemaId":"schema_8","required":true}],"pointer":"/paths/~1v1~1auth~1logon~1{organizationId}/post/parameters"},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/LogonRequest"}},"schemaId":"components/schemas/LogonRequest","pointer":"/paths/~1v1~1auth~1logon~1{organizationId}/post/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"POST","path":"/v1/auth/logon/{organizationId}","servers":[{"url":"https://api.synqly.com","description":"Synqly"}],"parameters":{"path":[{"name":"organizationId","in":"path","required":true,"schemaId":"schema_9"}],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"BearerAuth","type":"http","scheme":"bearer"}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/LogonRequest"}},"responseCodes":["200","400","401","402","403","404","405","409","415","429","500"],"pointer":"/v1/auth/logon/{organizationId}","href":"auth/auth_logon","openApiOperationId":"auth_logon","summary":"Logon Organization"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.synqly.com","description":"Synqly"}],"schemaId":"components/schemas/LogonRequest","mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/LogonRequest"}},"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/LogonResponse"}},"schemaId":"components/schemas/LogonResponse"},{"code":"400","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"401","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"402","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"403","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"404","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"405","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"409","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"415","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"429","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"500","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"}],"pointer":"/paths/~1v1~1auth~1logon~1{organizationId}/post/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"components/schemas/LogonResponse","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/LogonResponse"}}},{"code":"400","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"401","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"402","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"403","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"404","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"405","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"409","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"415","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"429","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"500","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/auth/auth_logon"}],"panels":[]}]},"httpPath":"/v1/auth/logon/{organizationId}"},{"label":"Change Member Password","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/api-reference/management/auth/auth_change_password","routeSlug":"/api-reference/management/auth/auth_change_password","metadata":{"seo":{"title":"Change Member Password","description":"Change member password."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"auth_change_password","name":"Change Member Password","isWebhook":false,"pointer":"/paths/~1v1~1auth~1change_password/post","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Change Member Password","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","attributes":{},"children":[{"$$mdtype":"Node","inline":true,"attributes":{"content":"Change member password."},"children":[],"type":"text"}],"type":"paragraph"},{"$$mdtype":"Node","attributes":{},"children":[{"$$mdtype":"Node","inline":true,"attributes":{"marker":"**"},"children":[{"$$mdtype":"Node","inline":true,"attributes":{"content":"Operation ID:"},"children":[],"type":"text"}],"type":"strong"},{"$$mdtype":"Node","inline":true,"attributes":{"content":" "},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"auth_change_password"},"children":[],"type":"code"}],"type":"paragraph"}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"BearerAuth","scopes":[],"type":"http","scheme":"bearer"}]}]},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/ChangePasswordRequest"}},"schemaId":"components/schemas/ChangePasswordRequest","pointer":"/paths/~1v1~1auth~1change_password/post/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"POST","path":"/v1/auth/change_password","servers":[{"url":"https://api.synqly.com","description":"Synqly"}],"parameters":{"path":[],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"BearerAuth","type":"http","scheme":"bearer"}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/ChangePasswordRequest"}},"responseCodes":["200","400","401","402","403","404","405","409","415","429","500"],"pointer":"/v1/auth/change_password","href":"auth/auth_change_password","openApiOperationId":"auth_change_password","summary":"Change Member Password"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.synqly.com","description":"Synqly"}],"schemaId":"components/schemas/ChangePasswordRequest","mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/ChangePasswordRequest"}},"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ChangePasswordResponse"}},"schemaId":"components/schemas/ChangePasswordResponse"},{"code":"400","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"401","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"402","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"403","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"404","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"405","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"409","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"415","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"429","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"500","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"}],"pointer":"/paths/~1v1~1auth~1change_password/post/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"200","schemaId":"components/schemas/ChangePasswordResponse","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ChangePasswordResponse"}}},{"code":"400","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"401","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"402","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"403","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"404","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"405","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"409","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"415","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"429","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"500","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/auth/auth_change_password"}],"panels":[]}]},"httpPath":"/v1/auth/change_password"},{"label":"Logoff","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/api-reference/management/auth/auth_logoff","routeSlug":"/api-reference/management/auth/auth_logoff","metadata":{"seo":{"title":"Logoff","description":"Terminates the session identified by the given logon token."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"auth_logoff","name":"Logoff","isWebhook":false,"pointer":"/paths/~1v1~1auth~1logoff/post","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Logoff","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","attributes":{},"children":[{"$$mdtype":"Node","inline":true,"attributes":{"content":"Terminates the session identified by the given logon token."},"children":[],"type":"text"}],"type":"paragraph"},{"$$mdtype":"Node","attributes":{},"children":[{"$$mdtype":"Node","inline":true,"attributes":{"marker":"**"},"children":[{"$$mdtype":"Node","inline":true,"attributes":{"content":"Operation ID:"},"children":[],"type":"text"}],"type":"strong"},{"$$mdtype":"Node","inline":true,"attributes":{"content":" "},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"auth_logoff"},"children":[],"type":"code"}],"type":"paragraph"}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"BearerAuth","scopes":[],"type":"http","scheme":"bearer"}]}]}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"POST","path":"/v1/auth/logoff","servers":[{"url":"https://api.synqly.com","description":"Synqly"}],"parameters":{"path":[],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"BearerAuth","type":"http","scheme":"bearer"}],"scopes":[]}],"responseCodes":["204","400","401","402","403","404","405","409","415","429","500"],"pointer":"/v1/auth/logoff","href":"auth/auth_logoff","openApiOperationId":"auth_logoff","summary":"Logoff"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://api.synqly.com","description":"Synqly"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"204"},{"code":"400","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"401","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"402","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"403","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"404","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"405","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"409","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"415","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"429","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"},{"code":"500","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}},"schemaId":"components/schemas/Problem"}],"pointer":"/paths/~1v1~1auth~1logoff/post/responses"}],"panels":[{"children":[{"kind":"response","responseCodes":[{"code":"204"},{"code":"400","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"401","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"402","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"403","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"404","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"405","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"409","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"415","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"429","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}},{"code":"500","schemaId":"components/schemas/Problem","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/Problem"}}}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"feedback","pageSlug":"/auth/auth_logoff"}],"panels":[]}]},"httpPath":"/v1/auth/logoff"},{"label":"Create Authentication Configuration","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/api-reference/management/auth/auth_create_configuration","routeSlug":"/api-reference/management/auth/auth_create_configuration","metadata":{"seo":{"title":"Create Authentication Configuration","description":"Configure an authentication method for the organization — an external IdentityProvider (OIDC or SAML) or built-in (password-based) authentication.Returns the created resource with its assigned authentication configuration ID."}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"auth_create_configuration","name":"Create Authentication Configuration","isWebhook":false,"pointer":"/paths/~1v1~1auth~1configurations/post","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"Create Authentication Configuration","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","attributes":{},"children":[{"$$mdtype":"Node","inline":true,"attributes":{"content":"Configure an authentication method for the organization — an external Identity"},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{},"children":[],"type":"softbreak"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"Provider (OIDC or SAML) or built-in (password-based) authentication."},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{},"children":[],"type":"softbreak"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"Returns the created resource with its assigned authentication configuration ID."},"children":[],"type":"text"}],"type":"paragraph"},{"$$mdtype":"Node","attributes":{},"children":[{"$$mdtype":"Node","inline":true,"attributes":{"marker":"**"},"children":[{"$$mdtype":"Node","inline":true,"attributes":{"content":"Operation ID:"},"children":[],"type":"text"}],"type":"strong"},{"$$mdtype":"Node","inline":true,"attributes":{"content":" "},"children":[],"type":"text"},{"$$mdtype":"Node","inline":true,"attributes":{"content":"auth_create_configuration"},"children":[],"type":"code"}],"type":"paragraph"}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"BearerAuth","scopes":[],"type":"http","scheme":"bearer"}]}]},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/CreateAuthConfigurationRequest"}},"schemaId":"components/schemas/CreateAuthConfigurationRequest","pointer":"/paths/~1v1~1auth~1configurations/post/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"POST","path":"/v1/auth/configurations","servers":[{"url":"https://api.synqly.com","description":"Synqly"}],"parameters":{"path":[],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"BearerAuth","type":"http","scheme":"bearer"}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/CreateAuthConfigurationRequest"}},"responseCodes":["20
[...]
